# Disable SMS on a Number

## Overview

This method allows you to remove SMS functionality from a number.

## Authentication

{% hint style="info" %}
Authentication is done by passing your TSG Global API key via the Authorization header in the format "Authorization: Bearer \<api\_key>"
{% endhint %}

## Method

## Disable SMS on a DID.

<mark style="color:green;">`POST`</mark> `https://api-service.tsgglobal.world/v2/sms-enablement`

#### Request Body

| Name                                  | Type   | Description                     |
| ------------------------------------- | ------ | ------------------------------- |
| did<mark style="color:red;">\*</mark> | String | The DID you want to sms disable |
| action                                | String | delete                          |

{% hint style="info" %}
Please be aware that this API endpoint has strict parameter parsing. In case an unknown or invalid parameter is provided in the request body, the request will be rejected with an error.
{% endhint %}

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
Succ
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tsgglobal.com/api-reference/phone-numbers/manage-number-for-sms-and-10dlc/disable-sms-on-a-number.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
